using NModbus;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DeviceCommand.Base
{
    public interface IBaseInterface
    {
        public bool IsConnected { get; }
        public Task<bool> ConnectAsync(CancellationToken ct = default);
        public void Close();
    }
}
